CREATE TABLE fai_msg_dlvy_optns_b (
    OPTION_ID                NUMBER(18, 0) ,
    OPTION_CODE              VARCHAR2(800)     NOT NULL,
    TOOL_ID                  NUMBER(18, 0)     NOT NULL,
    DELIVERY_OPTION_TYPE     VARCHAR2(320)     NOT NULL,
    OBJECT_CODE              VARCHAR2(4000),
    TEMPLATE_NAME            VARCHAR2(800) ,
    OPTION_PROPERTIES        CLOB          ,
    SEEDED_FLAG              VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    OPTION_ID                NUMBER(18, 0) ,
    OPTION_CODE              VARCHAR2(800)     NOT NULL,
    TOOL_ID                  NUMBER(18, 0)     NOT NULL,
    DELIVERY_OPTION_TYPE     VARCHAR2(320)     NOT NULL,
    OBJECT_CODE              VARCHAR2(4000),
    TEMPLATE_NAME            VARCHAR2(800) ,
    OPTION_PROPERTIES        CLOB          ,
    SEEDED_FLAG              VARCHAR2(4)       NOT NULL,
    MODULE_ID                VARCHAR2(128) ,
    CREATED_BY               VARCHAR2(256)     NOT NULL,
    CREATION_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE         VARCHAR2(2048),
    ORA_SEED_SET1            VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2            VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fai_msg_dlvy_optns_b PRIMARY KEY (OPTION_ID, OPTION_ID)
);
